"""Define baseclass for the Vista Gateway Client protocols."""

from typing import Optional

from vista_gateway_client.gateway_package import GatewayPackage


class VistaGatewayClient:
    """Represents an exception that occurred in the Vista Gateway Client."""

    def __init__(
        self,
        api_key: Optional[str],
        protocol: str,
        environment: str,
    ) -> None:
        """Initialize the client with the API key, protocol, and environment."""
        pass

    def send(
        self,
        package: GatewayPackage,
        # cancellationToken: CancellationToken = default,
    ) -> None:
        self._client.send(package)
